-- UPGRADES ДЛЯ БЕСКОНЕЧНОГО УРОВНЯ
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ КО ВРЕМЕНИ
-- как работает: через deltaTime сек. заданные в уровне вызывается если есть endless_time_Х где Х это число вызовов
-- т.е endless_time_3 вызовется через 3 * deltaTime сек., если нету endless_time_3 то вызывается endless_time_def
--[[
    endless_time_def = {
        --target = { cow=CowTimeUpgrade, goat=GoatTimeUpgrade, hen=HenTimeUpgrade },
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(0);";
            goat="SetDeltaImpatience(10);SetDeltaPause(0);";
            hen="SetDeltaImpatience(10);SetDeltaPause(0);";
        };
        params = "";
    };
--]]    
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ К ОЧКАМ    
-- вызываются по очереди endless_score_1 потом endless_score_2,... если не находит очередного upgrade больше
-- ничего не вызывает, если сейчас очередь endless_score_1, то уровень проверяет набранные очки и если они
-- больше или равны endless_score_1.score то выполняет этот апгрейд и переходит к проверке и ожиданию следующего 
-- если надо показать туториал то в CPP_GameMessage апгрейда вставить нужное имя 
-- например: CPP_GameMessage(10,'имя_в_туториале',0);


--wolf="GameObject.Triggers.Evil.timer={ 300,350 };"
--crow1="GameObject.Triggers.Evil.timer={ 30,35,40 };"
EndlessUpgrades = {
    { -- грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 3000;
    };
    { -- лимонад на 3 стакана
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('lemonad');";
            henhouse="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 7000;
    };
    { -- корова
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow'); ";
        };
        params = "";
        score = 11000;
    };
    { -- овцы и волки
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            sheephouse= "CPP_AdjournUnblock('sheep');";
            level ="CPP_AdjournUnblock('wolf');";
        };
        params = "";
        score = 15000;
    };
    { -- машинка
        target = { 
            cow="SetDeltaImpatience(-5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(-5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(-5);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('eatmachine');";
        };
        params = "";
        score = 20000;
    };
    { -- тыквы
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 24000;
    };
    { -- терпеливость
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('car');GameObject.BonusMoney.Car.active=1;";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 30000;
    };
    { -- дроваx
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('chopping');";
        };
        params = "";
        score = 35000;
    };
    { -- ломается коровник
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat'); ";
            -- без туториала
            cowshed="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --cowshed="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 40000;
    };
    { -- увеличение скорости 
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            --dad="GameObject.Params.speed=1550;";
            --mother="GameObject.Params.speed=1550;";
            --sister="GameObject.Params.speed=1550;";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 43000;
    };
    { -- 
        target = { 
            cow="SetDeltaImpatience(5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(5);SetDeltaPause(0);";
            henhouse="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 48500;
    };
    { -- лимонадная машинка станет на 2 порции
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow');";
        };
        params = "";
        score = 52000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaInLifeCycle('milking',5);";
            goat="SetDeltaInLifeCycle('milking',5);";
            hen="SetDeltaInLifeCycle('egging',5);";
            sheep="SetDeltaInLifeCycle('shearing',5);";
            level="SetDeltaInLifeCycle('cow','milking',5);SetDeltaInLifeCycle('goat','milking',5);SetDeltaInLifeCycle('hen','egging',5);SetDeltaInLifeCycle('sheep','shearing',5);";
            sheephouse="CPP_AdjournUnblock('sheep');";
        };
        params = "";
        score =58000;
    };
    { -- грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 60000;
    };
    { -- начинает ломаться sheephouse
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- без туториала
            cowshed="CPP_AdjournUnblock('cow'); ";
            sheephouse="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --sheephouse="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 65000;
    };
    { -- машинка в координатах 20,1 начнет делать по 2 порции
        target = { 
            cow="SetDeltaImpatience(5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(5);SetDeltaPause(0);";
            level="CPP_CreateObjectOnPoint('portion',0, 'eatmachine', 20, 1,'',''); CPP_GameMessage(10,'endless_score_9',0);";
            --level="CPP_CreateObjectOnPoint('portion',0, 'eatmachine', 20, 1,'',''); CPP_GameMessage(10,'endless_score_9',0);";
        };
        params = "";
        score = 68000;
    };
    { -- начинает ломаться goathouse
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- без туториала
            goathouse="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --goathouse="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 70500;
    };
 { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 150000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 300000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 400000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 600000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 800000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 1000000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 3000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 5000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 9999999;
    };
};

